Processing script editor won't open

2017-03-12 01:24 PM - matteo ghetta

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24257

Description

I think it is related with the new QgsSettings instead of QSettings

(#a10c890383dc636c6300ca91360e64e2db20b27c#diff-5c4d1bf8fbf26495538671a18271d905L43) but the script editor (both python

and R) is not opening anymore. This the error:

Traceback (most recent call last):

  File "/home/matteo/lavori/QGIS/build3/output/python/plugins/processing/gui/ProcessingToolbox.py", line 284, in executeAlgorithm

    action.execute()

  File "/home/matteo/lavori/QGIS/build3/output/python/plugins/processing/gui/CreateNewScriptAction.py", line 60, in execute

    dlg = ScriptEditorDialog(ScriptEditorDialog.SCRIPT_R, None)

  File "/home/matteo/lavori/QGIS/build3/output/python/plugins/processing/gui/ScriptEditorDialog.py", line 76, in __init__

    self.toolBar.setIconSize(QSize(iconSize, iconSize))

TypeError: arguments did not match any overloaded call:

  QSize(): too many arguments

  QSize(int, int): argument 1 has unexpected type 'str'

  QSize(QSize): argument 1 has unexpected type 'str'

Associated revisions

Revision 84897e3d - 2017-04-04 12:09 PM - Victor Olaya

[processing] cast setting size value to int

fixes #16347

History

#1 - 2017-04-04 03:01 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"84897e3d148fa45a8bd67df55b01338af6325e4f".
